Index: /home/cheetah/dev/doxygen/src/definition.cpp
===================================================================
--- /home/cheetah/dev/doxygen/src/definition.cpp	(revision 755)
+++ /home/cheetah/dev/doxygen/src/definition.cpp	(working copy)
@@ -37,6 +37,7 @@
 #include "parserintf.h"
 #include "marshal.h"
 #include "debug.h"
+#include "htmlgen.h"
 
 #define START_MARKER 0x4445465B // DEF[
 #define END_MARKER   0x4445465D // DEF]
@@ -1344,6 +1345,8 @@
 {
   static bool generateTreeView = Config_getBool("GENERATE_TREEVIEW");
   static bool hasCustomFooter = !Config_getString("HTML_FOOTER").isEmpty();
+  static bool searchEngine      = Config_getBool("SEARCHENGINE");
+  static bool serverBasedSearch = Config_getBool("SERVER_BASED_SEARCH");
 
   ol.pushGeneratorState();
   ol.disableAllBut(OutputGenerator::Html);
@@ -1353,6 +1356,10 @@
     ol.writeString("</div>\n");
   }
 
+  if (searchEngine && !serverBasedSearch)
+  {
+    HtmlGenerator::writeSearchFooter(ol);
+  }
   ol.writeString("  <div id=\"nav-path\" class=\"navpath\">\n");
   ol.writeString("    <ul>\n");
   writePathFragment(ol);


Index: /home/cheetah/dev/doxygen/src/htmlgen.h
===================================================================
--- /home/cheetah/dev/doxygen/src/htmlgen.h	(revision 755)
+++ /home/cheetah/dev/doxygen/src/htmlgen.h	(working copy)
@@ -20,6 +20,7 @@
 
 #include "qtbc.h"
 #include "outputgen.h"
+#include "outputlist.h"
 
 #define PREFRAG_START "<div class=\"fragment\"><pre class=\"fragment\">"
 #define PREFRAG_END   "</pre></div>"
@@ -38,6 +39,7 @@
     static void writeFooterFile(QFile &f);
     static void writeTabData();
     static void writeSearchFooter(FTextStream &t,const QCString &relPath);
+    static void writeSearchFooter(OutputList &ol);
     static void writeSearchData(const char *dir);
     static void writeSearchPage();
     static QCString writeLogoAsString(const char *path);


Index: /home/cheetah/dev/doxygen/src/index.cpp
===================================================================
--- /home/cheetah/dev/doxygen/src/index.cpp	(revision 755)
+++ /home/cheetah/dev/doxygen/src/index.cpp	(working copy)
@@ -316,6 +316,8 @@
 void endFile(OutputList &ol,bool skipNavIndex)
 {
   static bool generateTreeView = Config_getBool("GENERATE_TREEVIEW");
+  static bool searchEngine      = Config_getBool("SEARCHENGINE");
+  static bool serverBasedSearch = Config_getBool("SERVER_BASED_SEARCH");
   static bool hasCustomFooter = !Config_getString("HTML_FOOTER").isEmpty();
   ol.pushGeneratorState();
   ol.disableAllBut(OutputGenerator::Html);
@@ -325,6 +327,10 @@
     if (generateTreeView)
     {
       ol.writeString("</div>\n");
+      if (searchEngine && !serverBasedSearch)
+      {
+        HtmlGenerator::writeSearchFooter(ol);
+      }
       ol.writeString("  <div id=\"nav-path\" class=\"navpath\">\n");
       ol.writeString("    <ul>\n");
       if (!hasCustomFooter)


Index: /home/cheetah/dev/doxygen/src/htmlgen.cpp
===================================================================
--- /home/cheetah/dev/doxygen/src/htmlgen.cpp	(revision 755)
+++ /home/cheetah/dev/doxygen/src/htmlgen.cpp	(working copy)
@@ -1217,6 +1227,14 @@
   t << "\n";
 }
 
+void HtmlGenerator::writeSearchFooter(OutputList &ol)
+{
+  QGString tmp = "";
+  FTextStream f(&tmp);
+  HtmlGenerator::writeSearchFooter(f,"");
+  ol.writeString(tmp.data());
+}
+
 QCString HtmlGenerator::writeLogoAsString(const char *path)
 {
   static bool timeStamp = Config_getBool("HTML_TIMESTAMP");
@@ -1251,7 +1269,7 @@
   static bool generateTreeView  = Config_getBool("GENERATE_TREEVIEW");
   static bool searchEngine      = Config_getBool("SEARCHENGINE");
   static bool serverBasedSearch = Config_getBool("SERVER_BASED_SEARCH");
-  if (searchEngine /*&& !generateTreeView*/ && !serverBasedSearch)
+  if (searchEngine && !generateTreeView && !serverBasedSearch)
   {
     HtmlGenerator::writeSearchFooter(t,relPath);
   }
